#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.2.4
%define		qtver		5.15.2
%define		kpname		kpipewire
Summary:	a set of convenient classes to use PipeWire in Qt projects
Name:		kp6-%{kpname}
Version:	6.2.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	e61e926038b6cb2c2b8bb97a7693022a
URL:		http://www.kde.org/
BuildRequires:	Qt6WaylandClient-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ffmpeg-devel
BuildRequires:	kf5-plasma-wayland-protocols-devel
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	kp6-kwayland-devel
BuildRequires:	ninja
BuildRequires:	pipewire-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kpipewire offers a set of convenient classes to use PipeWire
(https://pipewire.org/) in Qt projects.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 3.16
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPipeWire.so.6
%attr(755,root,root) %{_libdir}/libKPipeWire.so.*.*
%ghost %{_libdir}/libKPipeWireRecord.so.6
%attr(755,root,root) %{_libdir}/libKPipeWireRecord.so.*.*
%dir %{_libdir}/qt6/qml/org/kde/pipewire
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/libKPipeWireDeclarative.so
%{_libdir}/qt6/qml/org/kde/pipewire/qmldir
%dir %{_libdir}/qt6/qml/org/kde/pipewire/monitor
%dir %{_libdir}/qt6/qml/org/kde/pipewire/record
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/record/libKPipeWireRecordDeclarative.so
%{_libdir}/qt6/qml/org/kde/pipewire/record/qmldir
%{_datadir}/qlogging-categories6/kpipewire.categories
%{_datadir}/qlogging-categories6/kpipewirerecord.categories
%ghost %{_libdir}/libKPipeWireDmaBuf.so.6
%attr(755,root,root) %{_libdir}/libKPipeWireDmaBuf.so.*.*.*
%{_libdir}/qt6/qml/org/kde/pipewire/KPipeWireDeclarative.qmltypes
%{_libdir}/qt6/qml/org/kde/pipewire/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/KPipeWireMonitorDeclarative.qmltypes
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pipewire/monitor/libKPipeWireMonitorDeclarative.so
%{_libdir}/qt6/qml/org/kde/pipewire/monitor/qmldir
%{_libdir}/qt6/qml/org/kde/pipewire/record/KPipeWireRecordDeclarative.qmltypes
%{_libdir}/qt6/qml/org/kde/pipewire/record/kde-qmlmodule.version

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPipeWire
%{_libdir}/cmake/KPipeWire
%{_libdir}/libKPipeWire.so
%{_libdir}/libKPipeWireRecord.so
%{_libdir}/libKPipeWireDmaBuf.so
%changelog
* Fri Nov 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kpipewire.git;a=log;h=master

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e42d473
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 71606dd
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 11c3248
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ff5ce43
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 73b1a26
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dbe3532
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bbee9f1
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7273d7d
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1adb8a3
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ef90b03
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a187200
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c77699c
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bb9414e
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ee96352
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ea984c8
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4c77ba0
- updated to 6.0.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e50ca2d
- updated to 6.0.0

